# Geometry.cpp File Reference

`#include <osg/Geometry>`
`#include <osg/Notify>`

Include dependency graph for Geometry.cpp:

## Functions

unsigned int | _computeNumberOfPrimtives (const osg::Geometry &geom)
template<class A>
bool | _verifyBindings (const osg::Geometry &geom, const A &arrayData)
template<class A>
void | _computeCorrectBindingsAndArraySizes (std::ostream &out, const osg::Geometry &geom, A &arrayData, const char *arrayName)

## Function Documentation

template<class A>
void _computeCorrectBindingsAndArraySizes | ( | std::ostream & | out,
|  | const osg::Geometry & | geom,
|  | A & | arrayData,
|  | const char * | arrayName
| ) |

unsigned int _computeNumberOfPrimtives | ( | const osg::Geometry & | geom | ) |

template<class A>
bool _verifyBindings | ( | const osg::Geometry & | geom,
|  | const A & | arrayData
| ) |